Bug 101824 - Rasterizing vector images in compress dialog dont take resized size into account
Summary: Rasterizing vector images in compress dialog dont take resized size into account
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Images Image-Compression-Dialog
  Show dependency treegraph
 
Reported: 2016-08-31 16:50 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-04-19 03:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-08-31 16:50:34 UTC
Steps:
1) Open writer
2) Insert an arrow svg from the gallery
3) Resize it to a larger size
4) Right-click > Compress
5) Set it to png compression and 600 dpi
6) Rasterized image isnt crisp

Version: 5.3.0.0.alpha0+
Build ID: 139d3b3e8b157c1f365f888126269f0902acbaa2
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-08-26_00:01:39
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Buovjaga 2016-09-23 19:23:28 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: cd72269a6a2c85ae9dd4552aa4808ef4fd1f6c0e
CPU Threads: 8; OS Version: Linux 4.7; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on September 21st 2016

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.4
Build ID: 5.2.0-1
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 2 Aron Budea 2016-10-17 03:25:58 UTC
Looks like this function:
void CompressGraphicsDialog::Compress(SvStream& aStream)
http://opengrok.libreoffice.org/xref/core/svx/source/dialog/compressgraphicdialog.cxx#270

GetBitmapEx can be called with GraphicConversionParameters, which can include dimensions, but the different kinds of conversions have to be considered (vector->raster, raster->raster, increasing/decreasing dimensions), and it doesn't support interpolation for example.

Plus there are the other compress-related bugs, like bug 83734, bug 99265, bug 99286 that could interfere with this fix.
Comment 3 QA Administrators 2017-10-23 14:06:07 UTC Comment hidden (obsolete)
Comment 4 MM 2018-04-01 21:13:18 UTC
Confirmed on windows 7 x64 with Version: 6.0.3.2 (x64)
Build ID: 8f48d515416608e3a835360314dac7e47fd0b821
CPU threads: 3; OS: Windows 6.1; UI render: default
Comment 5 QA Administrators 2019-04-19 03:01:35 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug